RDS-DESCRIBE-DB-INSTANCES(1)

NAME
rds-describe-db-instances - List database instances

SYNOPSIS

 rds-describe-db-instances
    [DBInstanceIdentifier] [--marker value ] [--max-records value ]
     [General Options]

DESCRIPTION

    Returns information about the database instances for this account. If you
 pass in a DBInstanceIdentifier,it will return information only about that
 instance. Otherwise it will return information for all of your databases, up
 to --max-records.

ARGUMENTS

 DBInstanceIdentifier
    User-supplied database instance identifier, this is the unique key that
    identifies a database instance. The identifier must be 1 to 63
    alphanumeric characters or hyphens, is case insensitive, and is not case
    preserving. You can also set this value using "--db-instance-identifier".

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --marker VALUE
    The marker provided in the previous request. If this parameter is
    specified the response includes only records beyond the marker, up to
    MaxRecords.

 --max-records VALUE
    Maximum number of records to return per page.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 Returns descriptions of all of your database instances.

 $PROMPT>rds-describe-db-instances

 Returns a description of a specific database instance, showing table headers

 $PROMPT>rds-describe-db-instances databaseInstance1 --headers

 Returns a full description of a specific database instance, showing table
 headers

 $PROMPT>rds-describe-db-instances databaseInstance1 --show-long --headers

OUTPUT

 This command returns a table that contains the following:
 * DBInstanceId - User-supplied database identifier, this is the unique key
 that identifies a database instance.
 * Created - When the instance was created, in UTC.
 * Class - The compute and memory capacity of the database instance.
 * Engine - Name of the database engine to be used for this database
 instance.
 * Storage - Initially allocated storage size specified in GBs.
 * Iops - Provisioned storage I/O operations per second.
 * Master Username - The master username for the instance.
 * Status - The current status of the instance.
 * Endpoint Address - Address of the database instance.
 * Port - Port used to connect to the database instance.
 * AZ - The instance's availability zone.
 * Backup Retention - The number of days for which automated backups and
 point-in-time restore are available.
 * PendingBackupRetention - Indicates a pending or in-progress change in the
 number of days for which automated backups and point-in-time restore are
 available.
 * PendingClass - The class to which the instance will be scaled during the
 next maintenance window, or to which it is currently being scaled if the
 --apply-immediately option was specified.
 * PendingCredentials - Indicates a pending or in-progress change of the
 master user password for the database instance. Always displayed as "****"
 for security reasons.
 * PendingStorage - The storage size to which the instance will be scaled
 during the next maintenance window, or to which it is currently being scaled
 if the --apply-immediately option was specified.
 * PendingIops - The storage I/O operations per second to which the instance
 will be provisioned during the next maintenance window, or to which it is
 currently being provisioned if the --apply-immediately option was specified.
 * PendingMulti-AZ - If true, the instance will be converted to run as a
 Multi-AZ deployment. If false, it will be converted to run as a standard
 (Single-AZ) deployment.
 * PendingVersion - Version of the database engine which will be deployed
 during the next maintenance window, or which is currently being deployed if
 the --apply-immediately option was specified.
 * DB Name - Name of the initial database created when the instance was
 created. This column appears only in the --show-long view.
 * Maintenance Window - The window during which patching and instance
 modifications will be performed. This column appears only in the --show-long
 view.
 * Backup Window - The window of time during which daily automated backups
 are taken. This column appears only in the --show-long view.
 * Latest Restorable Time - The latest time to which a database can be
 restored with point-in-time restore. This column appears only in the
 --show-long view.
 * Multi-AZ - Whether the instance is running as a Multi-AZ deployment.
 * Version - The database engine's version number.
 * Auto Minor Version Upgrade - Whether minor version upgrades will
 automatically be applied to the database instance during its maintenance
 window. This column appears only in the --show-long view.
 * Read Replica Source ID - The DB Instance which this DB Instance
 replicates.
 * License - No description available for this column.
 * Character Set - The character set that this DB Instance was created with,
 if applicable.
 * Name - Security Group name.
 * Status - Status of authorization.
 * Group Name - Name of database parameter group applied to.
 * Apply Status - Status of applying the parameter group. It can be either
 in-sync or pending-reboot.
 * Name - Subnet Group name.
 * Status - Status of the DB Subnet Group.
 * Name - The name of the associated option group.
 * Status - The status of the option group membership (e.g. in-sync,
 applying, pending, pending-maintenance).
 * Read Replica ID - The identifier of a DB Instance which acts as a read
 replica of this DB Instance.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference